<html>
<head>
<title>BMRT Documentation</title>
</head>
<body>

<center>
<h1>Blue Moon Rendering Tools:  User Guide</h1>
<h3><p>version 2.4

<h1><br></h1>

<p>revised 19 September 1998
<p>
<h1><br></h1>

<p>Larry I. Gritz
<br>
gritzl@acm.org
<br>
<br>Blue Moon Systems
<br>200 Kimblewick Drive
<br>Silver Spring, MD 20904
</h3></center>

<h1><br></h1>

<hr>

<h2>Contents</h2>
<ol>
<li><A HREF="bmrtintro.html">Introduction</a>
<li><A HREF="riboutdocs.html">Making RIB with <em>libribout.a</em></a>
<li>Wireframe Previews with <em>rendribv</em><br>
     (rendribv is no longer part of BMRT -- use "rgl -lines" instead)</a>
<li><A HREF="rgldocs.html">Previewing with <em>rgl</em></a>
	<ul>
	<li>Image Generation and File Options
	<li>Previewing Animations
	<li>Geometric Approximation
	<li>Limitations of <em>rgl</em>
	</ul>
<li><A HREF="rendribdocs.html">Photorealistic Rendering with <em>rendrib</em></a>
	<ul>
	<li>Command line switches
	<li>Nonstandard options
	<li>Nonstandard attributes
	<li>Nonstandard Shading Language features
	<li>Global Illumination
	<li>Optimizing Render Time
	<li>Limitations of <em>rendrib</em>
	<li>Incompatibilities with <em>PRMan</em>
	</ul>
<li><A HREF="slcdocs.html">Shading Language Compiler, <em>slc</em></a>
<li><A HREF="miscdocs.html">Miscellaneous Tools and Goodies</a>
	<ul>
	<li>Parsing shader arguments with <em>libslcargs</em>
	<li>Using <em>slctell</em> to list shader arguments
	<li>Simple Image Compositing with <em>composite</em>
	<li>Making tiled TIFF files with <em>mkmip</em>
	<li>Setting default options and attributes
	<li><em>farm</em>: Poor Man's Render Farm
	<li> References
	</ul>
<li><A HREF="rayserver.html">Using BMRT as a "ray server" for PRMan</a>
</ol>



<hr>


<p>This document last updated 19 Sep 98 by <a href="mail:gritzl@acm.org">gritzl@acm.org</a>

<p>All BMRT components are Copyright 1990-1998 by Larry I. Gritz.
All rights reserved.

<p>The RenderMan Interface Procedures and RIB Protocol are:
Copyright 1988, 1989, Pixar.  All rights reserved.
RenderMan is a registered trademark of Pixar.

</body>
</html>

